Query active live video streaming
curl --request GET \
--url https://apix.us.amity.co/api/v3/video-streaming/live \
--header 'Authorization: Bearer <token>'import requests
url = "https://apix.us.amity.co/api/v3/video-streaming/live"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apix.us.amity.co/api/v3/video-streaming/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"videoStreamings": [
{
"streamId": "<string>",
"userId": "<string>",
"userInternalId": "64be1f6cb9b4106b5a6bbf3f",
"userPublicId": "User123",
"thumbnailFileId": "<string>",
"title": "<string>",
"isLive": true,
"isDeleted": true,
"description": "<string>",
"platform": {
"name": "<string>",
"version": "<string>"
},
"moderationId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadata": {},
"resolution": "SD",
"streamerUrl": {
"url": "<string>",
"components": {
"origin": "<string>",
"appName": "<string>",
"streamName": "<string>",
"query": "<string>"
}
},
"recordings": [
{
"flv": {
"url": "<string>",
"duration": 123,
"startTime": 123,
"stopTime": 123
},
"mp4": {
"url": "<string>",
"duration": 123,
"startTime": 123,
"stopTime": 123
},
"m3u8": {
"url": "<string>",
"duration": 123,
"startTime": 123,
"stopTime": 123
}
}
],
"watcherUrl": {
"flv": {
"url": "<string>",
"components": {
"origin": "<string>",
"appName": "<string>",
"streamName": "<string>",
"query": "<string>"
}
},
"hls": {
"url": "<string>",
"components": {
"origin": "<string>",
"appName": "<string>",
"streamName": "<string>",
"query": "<string>"
}
},
"rtmp": {
"url": "<string>",
"components": {
"origin": "<string>",
"appName": "<string>",
"streamName": "<string>",
"query": "<string>"
}
}
},
"postId": "<string>",
"channelId": "<string>",
"channelEnabled": true,
"isParent": false,
"parentStreamId": "<string>",
"childStreamIds": []
}
],
"videoStreamingChildren": [
{
"streamId": "<string>",
"userId": "<string>",
"userInternalId": "64be1f6cb9b4106b5a6bbf3f",
"userPublicId": "User123",
"thumbnailFileId": "<string>",
"title": "<string>",
"isLive": true,
"isDeleted": true,
"description": "<string>",
"platform": {
"name": "<string>",
"version": "<string>"
},
"moderationId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadata": {},
"resolution": "SD",
"streamerUrl": {
"url": "<string>",
"components": {
"origin": "<string>",
"appName": "<string>",
"streamName": "<string>",
"query": "<string>"
}
},
"recordings": [
{
"flv": {
"url": "<string>",
"duration": 123,
"startTime": 123,
"stopTime": 123
},
"mp4": {
"url": "<string>",
"duration": 123,
"startTime": 123,
"stopTime": 123
},
"m3u8": {
"url": "<string>",
"duration": 123,
"startTime": 123,
"stopTime": 123
}
}
],
"watcherUrl": {
"flv": {
"url": "<string>",
"components": {
"origin": "<string>",
"appName": "<string>",
"streamName": "<string>",
"query": "<string>"
}
},
"hls": {
"url": "<string>",
"components": {
"origin": "<string>",
"appName": "<string>",
"streamName": "<string>",
"query": "<string>"
}
},
"rtmp": {
"url": "<string>",
"components": {
"origin": "<string>",
"appName": "<string>",
"streamName": "<string>",
"query": "<string>"
}
}
},
"postId": "<string>",
"channelId": "<string>",
"channelEnabled": true,
"isParent": false,
"parentStreamId": "<string>",
"childStreamIds": []
}
],
"videoStreamModerations": [
{
"moderationId": "<string>",
"streamId": "<string>",
"flagLabels": [
{
"threshold": 123,
"detectedAt": "2023-11-07T05:31:56Z"
}
],
"terminateLabels": [
{
"threshold": 123,
"detectedAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"users": [
{
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "<string>",
"path": "<string>",
"userInternalId": "<string>",
"userPublicId": "<string>",
"roles": [
"<string>"
],
"permissions": [],
"displayName": "<string>",
"profileHandle": "<string>",
"description": "<string>",
"avatarFileId": "<string>",
"avatarCustomUrl": "<string>",
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"metadata": {},
"isGlobalBan": true,
"isBrand": true,
"isDeleted": true
}
],
"files": [
{
"fileId": "<string>",
"fileUrl": "<string>",
"accessType": "public",
"altText": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"attributes": {
"name": "<string>",
"extension": "<string>",
"size": 123,
"mimeType": "<string>",
"metadata": {
"exif": {},
"gps": {},
"height": 123,
"width": 123,
"isFull": true
}
}
}
],
"communities": [
{
"communityId": "<string>",
"channelId": "<string>",
"displayName": "<string>",
"_id": "<string>",
"path": "<string>",
"userId": "<string>",
"userPublicId": "<string>",
"userInternalId": "<string>",
"avatarFileId": "<string>",
"description": "<string>",
"isOfficial": true,
"isPublic": true,
"onlyAdminCanPost": true,
"tags": [
"<string>"
],
"metadata": {},
"postsCount": 123,
"membersCount": 123,
"isJoined": true,
"categoryIds": [
"<string>"
],
"isDeleted": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hasFlaggedComment": false,
"hasFlaggedPost": false,
"needApprovalOnPostCreation": false,
"moderatorMemberCount": 123,
"allowCommentInStory": true,
"isDiscoverable": false,
"requiresJoinApproval": false
}
],
"communityUsers": [
{
"userId": "<string>",
"userPublicId": "<string>",
"userInternalId": "<string>",
"channelId": "<string>",
"communityId": "<string>",
"notMemberReason": "<string>",
"isBanned": false,
"lastActivity": "2023-11-07T05:31:56Z",
"roles": [
"<string>"
],
"permissions": [],
"lastJoin": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"categories": [
{
"categoryId": "<string>",
"name": "<string>",
"metadata": {},
"avatarFileId": "<string>",
"isDeleted": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"feeds": [
{
"targetId": "<string>",
"postCount": 123,
"feedId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"paging": {
"next": "<string>",
"previous": "<string>"
}
}{
"status": "error",
"code": 400000,
"message": "Bad Request."
}{
"status": "error",
"code": 400400,
"message": "Resource Not Found."
}{
"status": "error",
"code": 500000,
"message": "Unexpected error"
}Video streaming
Query active live video streaming
Get video streaming that is currently live
GET
/
api
/
v3
/
video-streaming
/
live
Query active live video streaming
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
community, user, all Show child attributes
Show child attributes
Response
list of live video streaming
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I